#!/bin/bash

kernel_version=$(uname -r)
acpi_backlight_status=`systemctl is-enabled systemd-backlight@.service`
is_nxxz=`/usr/bin/check_powermode_enable.sh`
if [[ "X$is_nxxz" == "X1" ]]; then
	if [[ "$acpi_backlight_status" = "static" ]]; then
		ln -s /dev/null /etc/systemd/system/systemd-backlight@.service
	fi
	insmod /lib/modules/$kernel_version/updates/dkms/n70z-backlight.ko
else
	if [[ "$acpi_backlight_status" = "masked" ]]; then
		rm -f /etc/systemd/system/systemd-backlight@.service
	fi
fi
